### Method

# FwupdPlugin Device get_physical_id

since: 1.1.2

#### Declaration [src]

    const gchar*
    fu_device_get_physical_id (
      FuDevice* self
    )

#### Description [src]

Gets the physical ID set for the device, which represents the electrical connection used to compare devices.

Multiple `FuDevices` can share a single physical ID.

Available since: 1.1.2

Gets property | `FwupdPlugin.Device:physical-id`

#### Return value

Type: `const gchar*`

A string value, or `NULL` if never set.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.